#!/usr/bin/python3
# -*- coding: utf-8 -*-
import utils


def setup(interactive=True):
    dir_path = utils.get_dir(__file__)
    cmds = [
        'DEBIAN_FRONTEND=noninteractive apt-get install -y mysql-server mysql-client',
        'cp "%s/mysql.cnf" "/etc/mysql/mysql.cnf"' % dir_path,
        '[ -L /etc/mysql/my.cnf ] || (mv /etc/mysql/my.cnf /etc/mysql/my.cnf.back && ln -sfn /etc/mysql/mysql.cnf /etc/mysql/my.cnf)',  # Compatibility with mysql 5.5
        'mkdir -p /etc/systemd/system/mysql.service.d',
        'cp "%s/override.conf" "/etc/systemd/system/mysql.service.d/override.conf"' % dir_path,
        '/etc/init.d/mysql restart',
    ]
    mysql_root_pwd = utils.get_conf('mysql_root_pwd')
    if mysql_root_pwd:
        # Set password if any
        cmds.append('mysqladmin -u root password "%s"' % mysql_root_pwd)
    utils.run_commands(cmds)

    if not mysql_root_pwd:
        utils.log('No root password was set in the configuration file.\nUse the following command to change it:\n    mysqladmin -u root password <pwd>')
